$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/606/SoftwareIdeasModelerSetup32-11-45.exe'
$url64      = 'https://www.softwareideas.net/Download/File/605/SoftwareIdeasModelerSetup64-11-45.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = '44e75948eddf10e5d29b3bc0fd5030c832d279ec1278c8e458f60c6a1326eb4d'
  checksumType  = 'sha256'
  checksum64    = 'a83bb555422b62662af38b2ecbe9a483b08facb05df9ca2de4adf93a82cd02a2'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
